Subject: Re: [avail for test] libtool-devel-20030121-1
From: "Max Bowsher" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 9 Feb 2003 01:33:45 -0000

Ralf Habacker wrote:
> Chuck, this script does not work with original libtool 1.4e

1.4e isn't a specific version. It just means "some cvs checkout after the
1.4d release"

> file_magic (win32_libid): 50 sec from make start until the ar(!)
> command line comes up. The problem I've got with this is that I can't
> build a shared library. Instead I've got some errors.
>
> 1.
> *** Warning: linker path does not have real file for library -lutil.
> *** I have the capability to make that library automatically link in
> when
> *** you link to this library.  But I can only do this if you have a
> *** shared version of the library, which you do not appear to have
> *** because I did check the linker path looking for a file starting
> *** with libutil and none of the candidates passed a file format test
> *** using a file magic. Last file checked: /usr/lib/libutil.a
> *** The inter-library dependencies that have been dropped here will be
> *** automatically added whenever a program is linked with this library
> *** or is declared to -dlopen it.
> /usr/lib/libutil.a is a nonlibtool static archive, which isn't
> catched by your script. This results into a linker fail with an
> "undefined reference" error, because a function of this lib is needed.
>
> The only way I see to fix it is to add static archives to
>  deplibs_check_method: deplibs_check_method="file_magic ^x86 archive
> import|^x86 DLL|^x86 archive static"

This seems like a good time to mention that I ran into this problem building
gtk+ (or glib), I forget. It wanted -luuid, but -luuid is a static archive,
which libtool doesn't currently like. I had to hack libtool as Ralf mentions
above to get it to work.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/